package com.template.services;

import com.github.pagehelper.PageInfo;
import com.template.model.pojo.SmartDataSource;
import com.template.model.pojo.SmartDataSource;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.Map;

/**
 * <p>
 * 数据源配置 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-05
 */
public interface SmartDataSourceService extends IService<SmartDataSource> {
    Map<String, Object> insertSmartDataSource(SmartDataSource rns);

    Map<String, Object> updateSmartDataSource(SmartDataSource rns);

    PageInfo<SmartDataSource> queryPageSmartDataSources(int currentPage, int pageCount, SmartDataSource smartDataSource);

    int deleteSmartDataSourceById(int id);

    SmartDataSource getSmartById(int id);

    Map<String, Object> vcoSmartDataSource(SmartDataSource smartDataSource);
}
